diff -Nur -x '*~' -x changelog ../debian/control debian/control
--- ../debian/control	2016-06-23 05:25:51.000000000 +0200
+++ debian/control	2016-07-05 20:50:45.000000000 +0200
@@ -16,7 +16,7 @@
 Conflicts: file-rc, sysv-rc
 Replaces: sysv-rc
 Provides: sysv-rc
-Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
+Depends: insserv, ${misc:Depends}, ${shlibs:Depends}, sysvinit-core | openrc-busybox
 Recommends: init-system-helpers (>=1.29)
 Suggests: policycoreutils [linux-any] 
 Description: dependency based init system (runlevel change mechanism)
@@ -32,6 +32,24 @@
  .
  This package provides the runlevel change mechanism.
 
+Package: openrc-busybox
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, busybox, openrc
+Conflicts: sysvinit (<< 2.88dsf-44), sysvinit-core, upstart [linux-any], systemd-sysv [linux-any]
+Description: dependency based init system (runlevel change mechanism)
+ OpenRC is a dependency based init system. It provides support for System V
+ init, for booting, changing runlevels, starting and stopping services, and
+ shutting down.
+ .
+ Originally written as a Gentoo project, OpenRC aims at being
+ platform-agnostic.  It works equally well on Linux, BSD and Hurd.
+ It supports the traditional init system in Debian in addition to many
+ alternatives.  OpenRC is implemented in C in a small, simple and
+ efficient way, making it easy to understand, extend and reuse.
+ .
+ This package sets up the BusyBox implementation of /sbin/init for use with
+ OpenRC.
+
 Package: librc1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
diff -Nur -x '*~' -x changelog ../debian/init/hurd/inittab debian/init/hurd/inittab
--- ../debian/init/hurd/inittab	1970-01-01 01:00:00.000000000 +0100
+++ debian/init/hurd/inittab	2016-07-05 20:51:16.000000000 +0200
@@ -0,0 +1,29 @@
+# /etc/inittab: init(8) configuration.
+
+# Launch OpenRC for system initialization
+::sysinit:/sbin/openrc sysinit
+::wait:/sbin/openrc boot
+::wait:/sbin/openrc default
+::shutdown:/sbin/openrc off
+
+# What to do when CTRL-ALT-DEL is pressed.
+::ctrlaltdel:/sbin/reboot
+
+# /sbin/getty invocations for the runlevels.
+#
+::respawn:/sbin/getty 38400 tty1
+::respawn:/sbin/getty 38400 tty2
+::respawn:/sbin/getty 38400 tty3
+::respawn:/sbin/getty 38400 tty4
+::respawn:/sbin/getty 38400 tty5
+::respawn:/sbin/getty 38400 tty6
+::respawn:/sbin/getty 38400 console
+
+# Example how to put a getty on a serial line (for a terminal)
+#
+#::respawn:/sbin/getty -L ttyS0 9600 vt100
+#::respawn:/sbin/getty -L ttyS1 9600 vt100
+
+# Example how to put a getty on a modem line.
+#
+#::respawn:/sbin/mgetty -x0 -s 57600 ttyS3
diff -Nur -x '*~' -x changelog ../debian/init/kfreebsd/inittab debian/init/kfreebsd/inittab
--- ../debian/init/kfreebsd/inittab	1970-01-01 01:00:00.000000000 +0100
+++ debian/init/kfreebsd/inittab	2016-07-05 20:51:01.000000000 +0200
@@ -0,0 +1,28 @@
+# /etc/inittab: init(8) configuration.
+
+# Launch OpenRC for system initialization
+::sysinit:/sbin/openrc sysinit
+::wait:/sbin/openrc boot
+::wait:/sbin/openrc default
+::shutdown:/sbin/openrc off
+
+# What to do when CTRL-ALT-DEL is pressed.
+::ctrlaltdel:/sbin/reboot
+
+# /sbin/getty invocations for the runlevels.
+#
+::respawn:/sbin/getty 38400 ttyv0 xterm
+::respawn:/sbin/getty 38400 ttyv1 xterm
+::respawn:/sbin/getty 38400 ttyv2 xterm
+::respawn:/sbin/getty 38400 ttyv3 xterm
+::respawn:/sbin/getty 38400 ttyv4 xterm
+::respawn:/sbin/getty 38400 ttyv5 xterm
+
+# Example how to put a getty on a serial line (for a terminal)
+#
+#::respawn:/sbin/getty -L cuau0 9600 vt100
+#::respawn:/sbin/getty -L cuau1 9600 vt100
+
+# Example how to put a getty on a modem line.
+#
+#::respawn:/sbin/mgetty -x0 -s 57600 ttyd3
diff -Nur -x '*~' -x changelog ../debian/init/linux/inittab debian/init/linux/inittab
--- ../debian/init/linux/inittab	1970-01-01 01:00:00.000000000 +0100
+++ debian/init/linux/inittab	2016-07-05 20:51:09.000000000 +0200
@@ -0,0 +1,28 @@
+# /etc/inittab: init(8) configuration.
+
+# Launch OpenRC for system initialization
+::sysinit:/sbin/openrc sysinit
+::wait:/sbin/openrc boot
+::wait:/sbin/openrc default
+::shutdown:/sbin/openrc off
+
+# What to do when CTRL-ALT-DEL is pressed.
+::ctrlaltdel:/sbin/reboot
+
+# /sbin/getty invocations for the runlevels.
+#
+::respawn:/sbin/getty 38400 tty1
+::respawn:/sbin/getty 38400 tty2
+::respawn:/sbin/getty 38400 tty3
+::respawn:/sbin/getty 38400 tty4
+::respawn:/sbin/getty 38400 tty5
+::respawn:/sbin/getty 38400 tty6
+
+# Example how to put a getty on a serial line (for a terminal)
+#
+#::respawn:/sbin/getty -L ttyS0 9600 vt100
+#::respawn:/sbin/getty -L ttyS1 9600 vt100
+
+# Example how to put a getty on a modem line.
+#
+#::respawn:/sbin/mgetty -x0 -s 57600 ttyS3
diff -Nur -x '*~' -x changelog ../debian/openrc-busybox.install.hurd debian/openrc-busybox.install.hurd
--- ../debian/openrc-busybox.install.hurd	1970-01-01 01:00:00.000000000 +0100
+++ debian/openrc-busybox.install.hurd	2016-07-05 20:50:45.000000000 +0200
@@ -0,0 +1 @@
+debian/init/hurd/inittab	/etc
diff -Nur -x '*~' -x changelog ../debian/openrc-busybox.install.kfreebsd debian/openrc-busybox.install.kfreebsd
--- ../debian/openrc-busybox.install.kfreebsd	1970-01-01 01:00:00.000000000 +0100
+++ debian/openrc-busybox.install.kfreebsd	2016-07-05 20:50:45.000000000 +0200
@@ -0,0 +1 @@
+debian/init/kfreebsd/inittab	/etc
diff -Nur -x '*~' -x changelog ../debian/openrc-busybox.install.linux debian/openrc-busybox.install.linux
--- ../debian/openrc-busybox.install.linux	1970-01-01 01:00:00.000000000 +0100
+++ debian/openrc-busybox.install.linux	2016-07-05 20:50:45.000000000 +0200
@@ -0,0 +1 @@
+debian/init/linux/inittab	/etc
diff -Nur -x '*~' -x changelog ../debian/openrc-busybox.links debian/openrc-busybox.links
--- ../debian/openrc-busybox.links	1970-01-01 01:00:00.000000000 +0100
+++ debian/openrc-busybox.links	2016-07-05 20:50:45.000000000 +0200
@@ -0,0 +1,4 @@
+bin/busybox sbin/init
+bin/busybox sbin/halt
+bin/busybox sbin/reboot
+bin/busybox sbin/poweroff
